- Qt 5.3
- Qt Quick
- QML Types
- ItemParticle QML Type
- Qt 5.3.2 Reference Documentation

# ItemParticle QML Type

For specifying a delegate to paint particles More...

Import Statement: | `import QtQuick.Particles 2.0`
Inherits: | ParticlePainter

- List of all members, including inherited members

## Properties

- delegate : Component
- fade : bool

## Methods

- void freeze(Item item)
- void give(Item item)
- void take(Item item, bool prioritize)
- void unfreeze(Item item)

## Detailed Description

## Property Documentation

delegate : Component

An instance of the delegate will be created for every logical particle, and moved along with it.

fade : bool

If true, the item will automatically be faded in and out at the ends of its lifetime. If false, you will have to implement any entry effect yourself.

Default is true.

## Method Documentation

void freeze(Item item)

Suspends the flow of time for the logical particle which item represents, allowing you to control its movement.

void give(Item item)

Orders the ItemParticle to give you control of the item. It will cease controlling it and the item will lose its association to the logical particle.

void take(Item item, bool prioritize)

Asks the ItemParticle to take over control of item. It will be emitted when there is a logical particle available.

By default items form a queue when waiting for a logical particle, but if prioritize is true then it will go immediately to the head of the queue.

void unfreeze(Item item)

Restarts the flow of time for the logical particle which item represents, allowing it to be moved by the particle system again.